# $Revision: 1.13 $, $Date: 2011/10/30 16:45:13 $
Summary:	Linux Container Tools
Name:		lxc
Version:	0.7.5
Release:	2
License:	GPL
Group:		Base
Source0:	http://lxc.sourceforge.net/download/lxc/%{name}-%{version}.tar.gz
# Source0-md5:	04949900ff56898f4353b130929c09d1
Patch0:		%{name}-devpts.patch
URL:		http://lxc.sourceforge.net
BuildRequires:	docbook-dtd30-sgml
BuildRequires:	docbook-utils
BuildRequires:	libcap-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		configpath	/var/lib/lxc

%description
Tools to create and manage containers. It contains a full featured
container with the isolation / virtualization of the pids, the ipc,
the utsname, the mount points, /proc, /sys, the network and it takes
into account the control groups. It is very light, flexible, and
provides a set of tools around the container like the monitoring with
asynchronous events notification, or the freeze of the container. This
package is useful to create Virtual Private Server, or to run isolated
applications like bash or sshd.

%package devel
Summary:	Header files and develpment documentation for lxc
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
lxc development files.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-config-path=%{configpath}

%{__make}
%{__make} -C doc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pcdatadir=%{_pkgconfigdir}

%{__make} -C doc install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc

install -d $RPM_BUILD_ROOT%{configpath}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog CONTRIBUTING MAINTAINERS README TODO doc/FAQ.txt doc/examples/*.conf 
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/liblxc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblxc.so.0
%{_libdir}/lxc/rootfs/README
%{_mandir}/man?/lxc*
%dir %{configpath}
%dir %{_libdir}/lxc
%dir %{_libdir}/lxc/templates
%dir %{_libdir}/lxc/rootfs
%attr(755,root,root) %{_libdir}/lxc/lxc-init
%attr(755,root,root) %{_libdir}/lxc/templates/lxc-*

%files devel
%defattr(644,root,root,755)
%{_includedir}/lxc
%attr(755,root,root) %{_libdir}/liblxc.so
%{_pkgconfigdir}/lxc.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxc.spec,v $
Revision 1.13  2011/10/30 16:45:13  baggins
- rel 2
- fix automounting /dev/pts

Revision 1.12  2011/10/09 22:30:43  wiget
- up to 0.7.5

Revision 1.11  2011/05/26 00:25:04  zbyniu
- up to 0.7.4.2

Revision 1.10  2011/01/29 18:20:21  arekm
- up to 0.7.3

Revision 1.9  2010/08/08 22:11:03  adamg
- updated to 0.7.2

Revision 1.8  2010/07/15 22:49:05  mguevara
- up to 0.7.1-1

Revision 1.7  2010/04/06 22:48:02  sparky
- BR: libcap-devel

Revision 1.6  2010/03/23 13:20:36  uzsolt
- change URL
- more doc

Revision 1.5  2010/03/23 09:47:54  zbyniu
- up to 0.6.5, now FHS compliant
- removed empty -static package, -ldflags.patch not needed

Revision 1.4  2009/05/03 21:15:46  aredridel
- 0.6.2

Revision 1.3  2008/11/29 17:28:10  qboosh
- FHS fix needed

Revision 1.2  2008/11/28 18:22:26  arekm
- some fixes

Revision 1.1  2008/11/28 18:15:57  arekm
- initial
